# -*- coding: utf-8 -*-
from setuphelpers import *

dir_path = makepath(programfiles32, "SConnect")

def install():
    # Declaring local variables
    bin_name = glob.glob("sconnect-host-v*.exe")[0]
    
    # Create program directory
    if isdir(dir_path):
        remove_tree(dir_path)
    mkdirs(dir_path)

    # Move .exe to Program Files
    shutil.copyfile(bin_name, makepath(dir_path, bin_name))


def session_setup():
    # Declaring local variables
    bin_path = glob.glob(makepath(programfiles32, "Sconnect", "sconnect-host-v*.exe"))[0]

    # Installing software
    run(bin_path)


def uninstall():
    # Uninstalling software
    if isdir(dir_path):
        remove_tree(dir_path)